# $Revision: 1.31 $, $Date: 2010/11/14 19:32:37 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	libdsk library
Summary(pl.UTF-8):	Biblioteka libdsk
Name:		libdsk
Version:	1.3.3
Release:	1
License:	LGPL v2+
Group:		Libraries
Source0:	http://www.seasip.info/Unix/LibDsk/%{name}-%{version}.tar.gz
# Source0-md5:	2cce41b4b1325d697183e34afcae2a9c
URL:		http://www.seasip.info/Unix/LibDsk/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bzip2-devel
BuildRequires:	libtool
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# global config file is %{_datadir}/LibDsk/libdskrc
%define		_datadir	%{_sysconfdir}

%description
LibDsk is a library intended to give transparent access to floppy
drives and to the "disc image files" used by emulators to represent
floppy drives.

%description -l pl.UTF-8
LibDsk jest biblioteką, która w sposób przezroczysty daje dostęp do
"obrazów dysków" używanych przez emulatory do reprezentowania dysków
elastycznych.

%package devel
Summary:	libdsk library - development files
Summary(pl.UTF-8):	Pliki programistyczne biblioteki libdsk
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	bzip2-devel
Requires:	zlib-devel

%description devel
The libdsk-devel package contains the header files and documentation
needed to develop applications with libdsk.

%description devel -l pl.UTF-8
Pakiet libdsk-devel zawiera pliki nagłówkowe i dokumentację potrzebne
do kompilowania aplikacji korzystających z libdsk.

%package static
Summary:	libdsk static library
Summary(pl.UTF-8):	Statyczna biblioteka libdsk
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This package contains the static libdsk library.

%description static -l pl.UTF-8
Statyczna wersja biblioteki libdsk.

%prep
%setup -q

%{__perl} -pi -e 's,/usr/local/share,%{_datadir},' man/libdskrc.5

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog TODO
%attr(755,root,root) %{_bindir}/apriboot
%attr(755,root,root) %{_bindir}/dsk*
%attr(755,root,root) %{_bindir}/md3serial
%attr(755,root,root) %{_libdir}/libdsk.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdsk.so.3
%{_mandir}/man1/apriboot.1*
%{_mandir}/man1/dsk*.1*
%{_mandir}/man1/md3serial.1*
%{_mandir}/man5/libdskrc.5*

%files devel
%defattr(644,root,root,755)
%doc doc/{libdsk.txt,cfi.html,TODO}
%attr(755,root,root) %{_libdir}/libdsk.so
%{_libdir}/libdsk.la
%{_includedir}/libdsk.h

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libdsk.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libdsk.spec,v $
Revision 1.31  2010/11/14 19:32:37  qboosh
- updated URL

Revision 1.30  2010/09/20 16:20:48  blekot
- up to 1.3.3

Revision 1.29  2009/06/09 10:00:11  amateja
- updated to 1.3.0
- new Source0 url

Revision 1.28  2008/02/29 17:11:37  qboosh
- updated to 1.2.1

Revision 1.27  2008-01-04 03:19:23  qboosh
- ghost soname symlink, more verbose files

Revision 1.26  2008-01-04 00:56:35  zbyniu
- up to 1.2.0

Revision 1.25  2007-08-12 00:48:23  qboosh
- LGPL v2+

Revision 1.24  2007/08/12 00:47:06  qboosh
- updated to 1.1.14

Revision 1.23  2007/02/13 06:46:50  glen
- tabs in preamble

Revision 1.22  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.21  2006/11/25 11:13:16  qboosh
- updated to 1.1.12

Revision 1.20  2006/04/22 18:40:22  qboosh
- updated to 1.1.10

Revision 1.19  2006/01/29 19:15:42  qboosh
- updated to 1.1.9

Revision 1.18  2005/12/21 21:37:46  qboosh
- updated to 1.1.8

Revision 1.17  2005/11/27 21:42:56  qboosh
- updated to 1.1.7

Revision 1.16  2005/10/06 21:29:31  qboosh
- updated to 1.1.6

Revision 1.15  2005/07/05 22:22:14  qboosh
- updated to 1.1.5

Revision 1.14  2005/06/15 21:14:59  witekfl
- added header "Conditional build:"

Revision 1.13  2005/06/15 19:59:53  witekfl
- added bcond_without static_libs

Revision 1.12  2005/03/20 20:31:51  qboosh
- updated to 1.1.4

Revision 1.11  2005/02/06 00:48:18  qboosh
- updated to 1.1.3, change libdskrc path to sysconfdir

Revision 1.10  2004/12/10 23:59:33  ankry
- rel. 4

Revision 1.9  2004/08/17 23:25:40  havner
- rel 3

Revision 1.8  2004/08/09 22:48:23  havner
- rel 2

Revision 1.7  2004/02/17 21:36:52  qboosh
- -devel deps

Revision 1.6  2004/01/06 21:18:00  qboosh
- updated to 1.1.1

Revision 1.5  2003/08/14 09:31:24  qboosh
- updated to 1.1.0

Revision 1.4  2003/05/28 12:59:27  malekith
- massive attack: source-md5

Revision 1.3  2003/05/25 05:49:48  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/03/25 23:38:00  qboosh
- removed %%{_mandir}/man? dir(s), BR: libtool

Revision 1.1  2003/03/24 06:31:49  juandon
- initial release
